# bevel.cpp File Reference

Implementation of the "Bevel" layer. More...

`#include "bevel.h"`
`#include <synfig/string.h>`
`#include <synfig/time.h>`
`#include <synfig/context.h>`
`#include <synfig/paramdesc.h>`
`#include <synfig/renddesc.h>`
`#include <synfig/surface.h>`
`#include <synfig/value.h>`
`#include <synfig/valuenode.h>`
`#include <synfig/segment.h>`
`#include <cstring>`
`#include <ETL/pen>`
`#include <ETL/misc>`

## Defines

#define | GAUSSIAN_ADJUSTMENT (0.05)

## Functions

| SYNFIG_LAYER_INIT (Layer_Bevel)
| SYNFIG_LAYER_SET_NAME (Layer_Bevel,"bevel")
| SYNFIG_LAYER_SET_LOCAL_NAME (Layer_Bevel, N_("Bevel"))
| SYNFIG_LAYER_SET_CATEGORY (Layer_Bevel, N_("Stylize"))
| SYNFIG_LAYER_SET_VERSION (Layer_Bevel,"0.2")
| SYNFIG_LAYER_SET_CVS_ID (Layer_Bevel,"$Id$")
void | clamp (synfig::Vector &v)

## Detailed Description

Implementation of the "Bevel" layer.

$Id$

## Define Documentation

#define GAUSSIAN_ADJUSTMENT (0.05)

Referenced by Layer_Shade::accelerated_render(), synfig::Layer_Shape::accelerated_render(), Blur_Layer::accelerated_render(), Layer_Bevel::accelerated_render(), and Blur::operator()().

## Function Documentation

SYNFIG_LAYER_INIT | ( | Layer_Bevel |  | ) |

SYNFIG_LAYER_SET_NAME | ( | Layer_Bevel | ,
|  | "bevel" |  |
| ) |  |  |

SYNFIG_LAYER_SET_LOCAL_NAME | ( | Layer_Bevel | ,
|  | N_("Bevel") |  |
| ) |  |  |

SYNFIG_LAYER_SET_CATEGORY | ( | Layer_Bevel | ,
|  | N_("Stylize") |  |
| ) |  |  |

SYNFIG_LAYER_SET_VERSION | ( | Layer_Bevel | ,
|  | "0.2" |  |
| ) |  |  |

SYNFIG_LAYER_SET_CVS_ID | ( | Layer_Bevel | ,
|  | "$Id$" |  |
| ) |  |  |

void clamp | ( | synfig::Vector & | v | ) | `[inline]`

Referenced by Layer_Shade::set_param(), and Blur_Layer::set_param().